### Hierarchy

- SiteTreeTableComponent

## Index

### Constructors

- constructor

### Properties

- dropzoneStylesVisible
- fsService
- lazyFiles
- log
- messageService
- msgs
- selectedNode
- siteName
- siteTreetableService
- subscription
- updateService

### Methods

- handleDragOver
- handleDrop
- loadFolder
- loadHost
- nodeExpand
- nodeSelect
- nodeUnselect

## Constructors

### constructor

- new SiteTreeTableComponent(updateService: SiteBrowserState, fsService: FileSystemService, log: LoggerService, siteTreetableService: SiteTreetableService, messageService: NotificationService): SiteTreeTableComponent

- - Defined in components/site-treetable/site-treetable.component.ts:29

  #### Parameters

  - ##### updateService: SiteBrowserState

  - ##### fsService: FileSystemService

  - ##### log: LoggerService

  - ##### siteTreetableService: SiteTreetableService

  - ##### messageService: NotificationService

  #### Returns SiteTreeTableComponent

## Properties

### dropzoneStylesVisible

dropzoneStylesVisible: boolean = true

- Defined in components/site-treetable/site-treetable.component.ts:24

### Private fsService

fsService: FileSystemService

- Defined in components/site-treetable/site-treetable.component.ts:32

### lazyFiles

lazyFiles: TreeNode[]

- Defined in components/site-treetable/site-treetable.component.ts:27

### Private log

log: LoggerService

- Defined in components/site-treetable/site-treetable.component.ts:33

### Private messageService

messageService: NotificationService

- Defined in components/site-treetable/site-treetable.component.ts:35

### msgs

msgs: Message[]

- Defined in components/site-treetable/site-treetable.component.ts:26

### selectedNode

selectedNode: TreeNode

- Defined in components/site-treetable/site-treetable.component.ts:28

### siteName

siteName: string

- Defined in components/site-treetable/site-treetable.component.ts:25

### Private siteTreetableService

siteTreetableService: SiteTreetableService

- Defined in components/site-treetable/site-treetable.component.ts:34

### subscription

subscription: Subscription

- Defined in components/site-treetable/site-treetable.component.ts:29

### Private updateService

updateService: SiteBrowserState

- Defined in components/site-treetable/site-treetable.component.ts:31

## Methods

### handleDragOver

- handleDragOver(e: any): void

- - Defined in components/site-treetable/site-treetable.component.ts:51

  #### Parameters

  - ##### e: any

  #### Returns void

### handleDrop

- handleDrop(e: any): boolean

- - Defined in components/site-treetable/site-treetable.component.ts:55

  #### Parameters

  - ##### e: any

  #### Returns boolean

### loadFolder

- loadFolder(uri: string): void

- - Defined in components/site-treetable/site-treetable.component.ts:88

  #### Parameters

  - ##### uri: string

  #### Returns void

### loadHost

- loadHost(siteName: string): void

- - Defined in components/site-treetable/site-treetable.component.ts:80

  #### Parameters

  - ##### siteName: string

  #### Returns void

### nodeExpand

- nodeExpand(event: any): void

- - Defined in components/site-treetable/site-treetable.component.ts:107

  #### Parameters

  - ##### event: any

  #### Returns void

### nodeSelect

- nodeSelect(event: any): void

- - Defined in components/site-treetable/site-treetable.component.ts:97

  #### Parameters

  - ##### event: any

  #### Returns void

### nodeUnselect

- nodeUnselect(event: any): void

- - Defined in components/site-treetable/site-treetable.component.ts:102

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc